Bug 1151750 - f21-branch uses the the same Transifex config as master
Summary: f21-branch uses the the same Transifex config as master
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-11 10:54 UTC by Piotr Drąg
Modified: 2014-10-20 23:02 UTC (History)
7 users (show)

Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 23:02:04 UTC
Type: Bug


Attachments (Terms of Use)
a proposed patch (714 bytes, patch)
2014-10-13 07:19 UTC, Vratislav Podzimek
no flags Details | Diff

Description Piotr Drąg 2014-10-11 10:54:36 UTC
Currently https://github.com/dwlehman/blivet/blob/f21-branch/.tx/config is the same as on the master branch, which causes problems for translators and results in incomplete translations in tarballs.

Comment 1 Vratislav Podzimek 2014-10-13 07:19:36 UTC
Created attachment 946260 [details]
a proposed patch

Attaching a patch that should solve the issue. Can you please confirm it is okay and enough?

Comment 2 Piotr Drąg 2014-10-14 17:24:37 UTC
Patch looks good, but I've never used Transifex as a developer, so I can't confirm if it's everything you need to do to create a new branch at <https://www.transifex.com/projects/p/blivet/resources/>. Anaconda maintainers probably know how to do it.

Comment 3 Piotr Drąg 2014-10-15 12:10:23 UTC
Could you please push the existing translations to Transifex? https://www.transifex.com/projects/p/blivet/resource/f21-branch/ appears to be empty.

Comment 4 Samantha N. Bueno 2014-10-15 12:35:46 UTC
(In reply to Piotr Drąg from comment #3)
> Could you please push the existing translations to Transifex?
> https://www.transifex.com/projects/p/blivet/resource/f21-branch/ appears to
> be empty.

Hm, I thought I did. I'll do so now though.

Comment 5 Fedora Update System 2014-10-15 13:15:44 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21

Comment 6 Piotr Drąg 2014-10-15 13:29:56 UTC
I see that you uploaded a new source file, but not the translations. I thought "tx push -s -t" would be enough to push the PO files to Transifex, but I'm not sure.

Comment 7 Samantha N. Bueno 2014-10-15 13:37:50 UTC
Yes, I'm seeing this error when I run "tx push -s -t":

Pushing translations for resource blivet.f21-branch:
Pushing source file (po/blivet.pot)
Pushing 'el' translations (file: po/el.po)
Exception: Could not import file: We're not able to extract any string from the file uploaded for language Greek (el) in resource Blivet: f21-branch.

I am looking into it....

Comment 8 Samantha N. Bueno 2014-10-15 15:12:44 UTC
All right, I do not believe the translations will be perfect, but they should now exist--I apologize for the trouble here.

Comment 9 Piotr Drąg 2014-10-15 15:16:59 UTC
Looks great, thank you!

Comment 10 Fedora Update System 2014-10-16 17:18:41 UTC
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-10-20 23:02:04 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.